Home » RDBMS Server » Server Administration » Oracle 9i release (Error...)
Oracle 9i release [message #380064] Fri, 09 January 2009 00:28 Go to next message
manoj12
Messages: 185
Registered: March 2008
Location: India
Senior Member
Dear Sir

I am getting the below issue while creating the database link
Quote:
1."The remote Oracle Database, according to its version number, is vulnerable to a buffer overflow in the query CREATE DATABASE LINK."

2."The remote Oracle Database, according to its version number, is vulnerable to a buffer overflow in the query SET TIME_ZONE."

3."The remote Oracle Database, according to its version number, is vulnerable to a denial of service related to SOAP and XML."


4."The remote Oracle Database, according to its version number, is vulnerable to a remote command execution vulnerability which may allow an attacker who can execute SQL statements with certain privileges to execute arbitrary commands on the remote host."

However the fix for this is to apply the patch .Now To apply we need to download the patch from the metalink support.However I dont have access to the metalink to rectify the issue.Also My version is 9.2.0.1.0 I need to upgrade the database to 9.2.0.3

What I should do to get the patch to apply it to my oracle database server since I dont have acess to Oracle Metalink.

Regards



[Updated on: Fri, 09 January 2009 00:51] by Moderator

Report message to a moderator

Re: Oracle 9i release [message #380067 is a reply to message #380064] Fri, 09 January 2009 00:31 Go to previous messageGo to next message
BlackSwan
Messages: 25046
Registered: January 2009
Location: SoCal
Senior Member
>What I should do to get the patch to apply it to my oracle database server since I dont have acess to Oracle Metalink.

Be honorable.
Either get legal or do without any patches.

What do you consider to be your options?
Re: Oracle 9i release [message #380068 is a reply to message #380064] Fri, 09 January 2009 00:34 Go to previous messageGo to next message
babuknb
Messages: 1734
Registered: December 2005
Location: NJ
Senior Member

>>However the fix for this is to apply the patch

Where you find out this is BUG? So need to apply patch.

[Updated on: Fri, 09 January 2009 00:36]

Report message to a moderator

Re: Oracle 9i release [message #380074 is a reply to message #380068] Fri, 09 January 2009 00:53 Go to previous messageGo to next message
manoj12
Messages: 185
Registered: March 2008
Location: India
Senior Member
Dear Sir

But I dont have access to metalink.what I should do to get the patch

Regards
Re: Oracle 9i release [message #380076 is a reply to message #380074] Fri, 09 January 2009 00:59 Go to previous messageGo to next message
Barbara Boehmer
Messages: 8635
Registered: November 2002
Location: California, USA
Senior Member
If you do not have access to metalink, then you cannot legally get the patch. Metalink access and patches are only provided to people who have paid for Oracle support and been issueed an access number. So, you can either purchase Oracle support or upgrade to 10g or go without whatever the patch might fix. This OraFAQ site is not connected with Oracle corporations site or metalink. We have no way to provide you with access to metalink.

Re: Oracle 9i release [message #380079 is a reply to message #380076] Fri, 09 January 2009 01:04 Go to previous message
tahpush
Messages: 961
Registered: August 2006
Location: Stockholm/Sweden
Senior Member

If you dont pay for it, the only option is to use ORACLE XE, no more no less.
Previous Topic: ORA 01092 during database creation.
Next Topic: DBF files are not deleted
Goto Forum:
  


Current Time: Wed Dec 07 10:51:45 CST 2016

Total time taken to generate the page: 0.14728 seconds